io.agora.rtc

## Class AgoraVideoFrame

- java.lang.Object
- - io.agora.rtc.AgoraVideoFrame

-     public class AgoraVideoFrame
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoFrame(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `destroyTextureId(TextureId id)`
    `int` | `fillTexture(int format, int width, int height, int rotation, TextureId id)`
    `int` | `format()`
    `int` | `height()`
    `private void` | `nativeDestroyTextureId(long cptr, TextureId id)`
    `private int` | `nativeFillTexture(long cptr, int format, int width, int height, int rotation, TextureId id)`
    `private int` | `nativeFormat(long cptr)`
    `private int` | `nativeHeight(long cptr)`
    `private int` | `nativeResize(long cptr, int width, int height)`
    `private int` | `nativeRotation(long cptr)`
    `private void` | `nativeSetRotation(long cptr, int rotation)`
    `private void` | `nativeSetTimestampUs(long cptr, long timestamp_us)`
    `private int` | `nativeSize(long cptr)`
    `private TextureId` | `nativeTextureId(long cptr)`
    `private long` | `nativeTimestampUs(long cptr)`
    `private int` | `nativeType(long cptr)`
    `private int` | `nativeWidth(long cptr)`
    `int` | `resize(int width, int height)`
    `int` | `rotation()`
    `void` | `setRotation(int rotation)`
    `void` | `setTimestampUs(long timestamp_us)`
    `int` | `size()`
    `TextureId` | `textureId()`
    `long` | `timestampUs()`
    `int` | `type()`
    `int` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraVideoFrame

          public AgoraVideoFrame(long cptr)

  - ### Method Detail

    - #### destroy

          public void destroy()

    - #### type

          public int type()

    - #### format

          public int format()

    - #### width

          public int width()

    - #### height

          public int height()

    - #### size

          public int size()

    - #### rotation

          public int rotation()

    - #### setRotation

          public void setRotation(int rotation)

    - #### timestampUs

          public long timestampUs()

    - #### setTimestampUs

          public void setTimestampUs(long timestamp_us)

    - #### resize

          public int resize(int width,
                            int height)

    - #### textureId

          public TextureId textureId()

    - #### destroyTextureId

          public void destroyTextureId(TextureId id)

    - #### fillTexture

          public int fillTexture(int format,
                                 int width,
                                 int height,
                                 int rotation,
                                 TextureId id)

    - #### nativeType

          private int nativeType(long cptr)

    - #### nativeFormat

          private int nativeFormat(long cptr)

    - #### nativeWidth

          private int nativeWidth(long cptr)

    - #### nativeHeight

          private int nativeHeight(long cptr)

    - #### nativeSize

          private int nativeSize(long cptr)

    - #### nativeRotation

          private int nativeRotation(long cptr)

    - #### nativeSetRotation

          private void nativeSetRotation(long cptr,
                                         int rotation)

    - #### nativeTimestampUs

          private long nativeTimestampUs(long cptr)

    - #### nativeSetTimestampUs

          private void nativeSetTimestampUs(long cptr,
                                            long timestamp_us)

    - #### nativeResize

          private int nativeResize(long cptr,
                                   int width,
                                   int height)

    - #### nativeTextureId

          private TextureId nativeTextureId(long cptr)

    - #### nativeDestroyTextureId

          private void nativeDestroyTextureId(long cptr,
                                              TextureId id)

    - #### nativeFillTexture

          private int nativeFillTexture(long cptr,
                                        int format,
                                        int width,
                                        int height,
                                        int rotation,
                                        TextureId id)